function start() {
	appInit();
	window.setInterval("appInit()", 30000);
}


function appInit() 
{
	var references = 	[
						  { aspect: 'CellularNetwork', property:'signalStrength'},
						];

	for (var i in references) 
	{
		var reference = references[i];
		var value = undefined;
		try 
		{
			value = bondi.devicestatus.getPropertyValue(reference);
			sigLevel(value);
		}
		catch (error) 
		{
	        if (error.code == SecurityError.PERMISSION_DENIED_ERROR) 
			{
                break;
			}
            value = "Error: (" + error.code + ")";
		}
	}
    widget.window.setScroll(true);
}

function sigLevel(level)
{
	riki = document.getElementById("kiki");
	
	if(level >= 0 && level <= 0)
	{ 
		riki.innerHTML ="<img src='images/sig_no.png' />";
	}
	if(level >= 1 && level <= 19)
	{ 
		riki.innerHTML ="<img src='images/sig_20.png' />";
	}
	if(level >= 20 && level <= 39)
	{ 
		riki.innerHTML ="<img src='images/sig_45.png' />";
	}
	if(level >= 40 && level <= 59)
	{ 
		riki.innerHTML ="<img src='images/sig_50.png' />";
	}
	if(level >= 60 && level <= 69)
	{ 
		riki.innerHTML ="<img src='images/sig_65.png' />";
	}	
	if(level >= 70 && level <= 89)
	{ 
		riki.innerHTML ="<img src='images/sig_80.png' />";
	}
	if(level >= 90 && level <= 100)
	{ 
		riki.innerHTML ="<img src='images/sig_100.png' />";
	}
}





